# ContactsContract.GroupsColumns

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)

# GroupsColumns

*** ** * ** ***

Kotlin \|[Java](https://developer.android.com/reference/android/provider/ContactsContract.GroupsColumns "View this page in Java")  

```
protected interface GroupsColumns
```

|----------------------------------------------------------------------------------------------------------------------------------------------------|
| [android.provider.ContactsContract.GroupsColumns](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#) |

|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| Known Direct Subclasses [ContactsContract.Groups](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Groups) |--------------------------------------------------------------------------------------------------------------------|---------------------------------| | [ContactsContract.Groups](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Groups) | Constants for the groups table. | |

## Summary

|                                                                                                                                                                                                                                                                                         Constants                                                                                                                                                                                                                                                                                         ||
|-----------------------------------------------------------------------------------------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [AUTO_ADD](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#AUTO_ADD:kotlin.String) Any newly created contacts will automatically be added to groups that have this flag set to true.                                                                                                                                                                                                                                                              |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [DATA_SET](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#DATA_SET:kotlin.String) The data set within the account that this group belongs to.                                                                                                                                                                                                                                                                                                    |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [DELETED](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#DELETED:kotlin.String) The "deleted" flag: "0" by default, "1" if the row has been marked for deletion.                                                                                                                                                                                                                                                                                 |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [FAVORITES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#FAVORITES:kotlin.String) When a contacts is marked as a favorites it will be automatically added to the groups that have this flag set, and when it is removed from favorites it will be removed from these groups.                                                                                                                                                                   |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [GROUP_IS_READ_ONLY](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#GROUP_IS_READ_ONLY:kotlin.String) The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter.                                                                                                                                                                                                                               |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [GROUP_VISIBLE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#GROUP_VISIBLE:kotlin.String) Flag indicating if the contacts belonging to this group should be visible in any user interface.                                                                                                                                                                                                                                                     |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [NOTES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#NOTES:kotlin.String) Notes about the group.                                                                                                                                                                                                                                                                                                                                               |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [RES_PACKAGE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE:kotlin.String) The package name to use when creating [Resources](https://developer.android.com/reference/kotlin/android/content/res/Resources.html#) objects for this group.                                                                                                                                                                                            |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [SHOULD_SYNC](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#SHOULD_SYNC:kotlin.String) Whether this group should be synced if the SYNC_EVERYTHING settings is false for this group's account.                                                                                                                                                                                                                                                   |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [SUMMARY_COUNT](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#SUMMARY_COUNT:kotlin.String) The total number of [Contacts](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Contacts) that have [CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership) in this group.                                               |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [SUMMARY_WITH_PHONES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#SUMMARY_WITH_PHONES:kotlin.String) The total number of [Contacts](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Contacts) that have both [CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership) in this group, and also have phone numbers. |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [SYSTEM_ID](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#SYSTEM_ID:kotlin.String) The ID of this group if it is a System Group, i.                                                                                                                                                                                                                                                                                                             |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [TITLE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#TITLE:kotlin.String) The display title of this group.                                                                                                                                                                                                                                                                                                                                     |
| static [String](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html) | [TITLE_RES](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#TITLE_RES:kotlin.String) The display title of this group to load as a resource from [RES_PACKAGE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE:kotlin.String), which may be localized.                                                                                                                                  |

## Constants

### AUTO_ADD

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val AUTO_ADD: String
```

Any newly created contacts will automatically be added to groups that have this flag set to true.

Type: INTEGER (boolean)  

    Value: "auto_add"

### DATA_SET

Added in [API level 14](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val DATA_SET: String
```

The data set within the account that this group belongs to. This allows multiple sync adapters for the same account type to distinguish between each others' group data. This is empty by default, and is completely optional. It only needs to be populated if multiple sync adapters are entering distinct group data for the same account type and account name.

Type: TEXT  

    Value: "data_set"

### DELETED

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val DELETED: String
```

The "deleted" flag: "0" by default, "1" if the row has been marked for deletion. When android.content.ContentResolver#delete is called on a group, it is marked for deletion. The sync adaptor deletes the group on the server and then calls ContactResolver.delete once more, this time setting the the [ContactsContract.CALLER_IS_SYNCADAPTER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String) query parameter to finalize the data removal.

Type: INTEGER  

    Value: "deleted"

### FAVORITES

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val FAVORITES: String
```

When a contacts is marked as a favorites it will be automatically added to the groups that have this flag set, and when it is removed from favorites it will be removed from these groups.

Type: INTEGER (boolean)  

    Value: "favorites"

### GROUP_IS_READ_ONLY

Added in [API level 11](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val GROUP_IS_READ_ONLY: String
```

The "read-only" flag: "0" by default, "1" if the row cannot be modified or deleted except by a sync adapter. See [ContactsContract.CALLER_IS_SYNCADAPTER](https://developer.android.com/reference/kotlin/android/provider/ContactsContract#CALLER_IS_SYNCADAPTER:kotlin.String).

Type: INTEGER  

    Value: "group_is_read_only"

### GROUP_VISIBLE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val GROUP_VISIBLE: String
```

Flag indicating if the contacts belonging to this group should be visible in any user interface.

Type: INTEGER (boolean)  

    Value: "group_visible"

### NOTES

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val NOTES: String
```

Notes about the group.

Type: TEXT  

    Value: "notes"

### RES_PACKAGE

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val RES_PACKAGE: String
```

The package name to use when creating [Resources](https://developer.android.com/reference/kotlin/android/content/res/Resources.html#) objects for this group. This value is only designed for use when building user interfaces, and should not be used to infer the owner.  

    Value: "res_package"

### SHOULD_SYNC

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val SHOULD_SYNC: String
```

Whether this group should be synced if the SYNC_EVERYTHING settings is false for this group's account.

Type: INTEGER (boolean)  

    Value: "should_sync"

### SUMMARY_COUNT

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val SUMMARY_COUNT: String
```

The total number of [Contacts](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Contacts) that have [CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership) in this group. Read-only value that is only present when querying [Groups.CONTENT_SUMMARY_URI](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Groups#CONTENT_SUMMARY_URI:android.net.Uri).

Type: INTEGER  

    Value: "summ_count"

### SUMMARY_WITH_PHONES

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val SUMMARY_WITH_PHONES: String
```

The total number of [Contacts](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Contacts) that have both [CommonDataKinds.GroupMembership](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.CommonDataKinds.GroupMembership) in this group, and also have phone numbers. Read-only value that is only present when querying [Groups.CONTENT_SUMMARY_URI](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.Groups#CONTENT_SUMMARY_URI:android.net.Uri).

Type: INTEGER  

    Value: "summ_phones"

### SYSTEM_ID

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val SYSTEM_ID: String
```

The ID of this group if it is a System Group, i.e. a group that has a special meaning to the sync adapter, null otherwise.

Type: TEXT  

    Value: "system_id"

### TITLE

Added in [API level 5](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TITLE: String
```

The display title of this group.

Type: TEXT  

    Value: "title"

### TITLE_RES

Added in [API level 21](https://developer.android.com/guide/topics/manifest/uses-sdk-element.html#ApiLevels)  

```
static val TITLE_RES: String
```

The display title of this group to load as a resource from [RES_PACKAGE](https://developer.android.com/reference/kotlin/android/provider/ContactsContract.GroupsColumns#RES_PACKAGE:kotlin.String), which may be localized.

Type: TEXT  

    Value: "title_res"